******************************************* ``PUT`` Update Webhooks in an Assessment ******************************************* This API update the existing Webhhook of an assessment Request URL ============= .. code-block:: POST /webhooks/ Body Parameters ================ .. code-block:: JSON { "webhooks": { "start": { "status": "boolean", "url": "string" }, "submission": { "status": "boolean", "url": "string" } } } .. warning:: Make sure to add your API key in Header of the request Parameters ============ +--------------------+------------+----------------------------------------------------------+ | Parameter | Type | Description | +====================+============+==========================================================+ | assessment_id | int | Assessment's ID for webhooks should be updated | +--------------------+------------+----------------------------------------------------------+ | start | object | Webhook for when the assessment starts. | +--------------------+------------+----------------------------------------------------------+ | submission | object | Webhook for when the assessment is submitted. | +--------------------+------------+----------------------------------------------------------+ | status | boolean | Whether the webhook is enabled. | +--------------------+------------+----------------------------------------------------------+ | url | string | The URL to receive event notifications. | +--------------------+------------+----------------------------------------------------------+ .. note:: The start webhook is triggered when the candidate starts the assessment. The submission webhook is triggered when the candidate submits the assessment. Either one or both webhooks can be included in the request body. Response ========== .. code-block:: JSON { "status": "success", "message": "Webhhook updated successfully" }